import request from '@/utils/request'

// 查询绑定列表
export function findList(query) {
  return request({
    url: '/app/comuserdept/list',
    method: 'get',
    params: query
  })
}

export function getById(id) {
  return request({
    url: '/app/comuserdept/getById/' + id,
    method: 'get',
  })
}

export function deleteByIds(ids) {
  return request({
    url: '/app/comuserdept/deleteByIds/' + ids,
    method: 'delete',
  })
}

export function add(data) {
  return request({
    url: '/app/comuserdept/add',
    method: 'post',
    data: data
  })
}

export function edit(data) {
  return request({
    url: '/app/comuserdept/edit',
    method: 'post',
    data: data
  })
}

export function findCompanyUserOptions(data) {
  return request({
    url: '/company/companyUser/findOptions',
    method: 'get',
    params: data,
  })
}